Skip to main content
GET
/
transactions
/
{txHash}
Transaction status
curl --request GET \
  --url https://api-421614.alphagrid.capital/transactions/{txHash}
{
  "transactionHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
  "blockNumber": "<string>",
  "blockTimestamp": "<string>",
  "from": "<string>",
  "to": "<string>"
}

Path Parameters

txHash
string
required
Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x0000000000000000000000000000000000000000000000000000000000000000"

Response

Transaction status

transactionHash
string
required
Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x0000000000000000000000000000000000000000000000000000000000000000"

status
enum<string>
required
Available options:
pending,
success,
reverted
blockNumber
string
blockTimestamp
string
from
string
to
string